DigitalOcean Spaces
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new DigitalOcean Spaces action in the pipeline
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
DO_SPACESurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The current git revisionpermissionsPermissionsView
Access permissions configurationlocal_pathrequiredstring
The path to the local files to deployremote_pathstring
The path on the remote server where files will be deployeddeployment_excludesstring[]
The list of files or directories to exclude from deploymentdeployment_includesstring[]
The list of files or directories to include in deploymentinput_typestring enum
The type of source inputAllowed enum:
SCM_REPOSITORY,BUILD_ARTIFACTSdeletion_disabledboolean
If set to true, files on the remote server will not be deleteduse_temporary_filesboolean
If set to true, files will be uploaded to a temporary directory firstcontent_encodingstring
The content encoding for deployed filesintegrationrequiredDoSpacesIntegrationRef
DigitalOcean Spaces integration (DO_SPACES)bucket_namerequiredstring
The name of the DigitalOcean Spaces bucketpublic_accessboolean
If set to true, uploaded files will have public read accesscache_controlstring
The Cache-Control header value for uploaded filesregionstring
The DigitalOcean Spaces regionResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
DO_SPACESurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a looplocal_pathstring
The path to the local files to deployremote_pathstring
The path on the remote server where files will be deployeddeployment_excludesstring[]
The list of files or directories to exclude from deploymentdeployment_includesstring[]
The list of files or directories to include in deploymentinput_typestring enum
The type of source inputAllowed enum:
SCM_REPOSITORY,BUILD_ARTIFACTSdeletion_disabledboolean
If set to true, files on the remote server will not be deleteduse_temporary_filesboolean
If set to true, files will be uploaded to a temporary directory firstcontent_encodingstring
The content encoding for deployed filesintegrationIntegrationIdentifierView
The integration used by the actionbucket_namestring
The name of the DigitalOcean Spaces bucketpublic_accessboolean
If set to true, uploaded files will have public read accesscache_controlstring
The Cache-Control header value for uploaded filesregionstring
The DigitalOcean Spaces regionLast modified on Mar 18, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to DO Spaces",
"type": "DO_SPACES",
"input_type": "SCM_REPOSITORY",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "/assets/",
"remote_path": "Home/www/",
"bucket_name": "buddy-tests",
"public_access": true,
"cache_control": "max-age=3600",
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
],
"integration": {
"identifier": "digitalocean"
}
}'STATUS200 OK